﻿// IEventAggregator.cs
//

using System;
using System.ComponentModel.Composition;

namespace PatternsFramework {

    public interface IEventAggregator {

        void Publish<T>(T eventData) where T : EventArgs;

        object Subscribe<T>(Action<T> eventHandler) where T : EventArgs;

        void Unsubscribe<T>(object subscription);
    }
}
