﻿using System;
using System.Collections.Generic;
using System.Threading;
using TwitterBug.Services;

namespace TwitterBug.Mocks {

    public class MockTwitterService : ITwitterService {

        private SynchronizationContext _syncContext;
        private bool _postCalled;

        public MockTwitterService() {
        }

        public MockTwitterService(SynchronizationContext syncContext) {
            _syncContext = syncContext;
        }

        public bool WasPostCalled {
            get {
                return _postCalled;
            }
        }

        #region ITwitterService Members

        public IEnumerable<Tweet> Tweets {
            get {
                return null;
            }
        }

        public void GetProfile(Action<TwitterProfile, object> callback, object userState) {
        }

        public void LoadTweets(TweetKind tweetKind, Action<bool, object> callback, object userState) {
        }

        public void PostTweet(string tweet, Action<bool, object> callback, object userState) {
            _postCalled = true;
            _syncContext.Post(delegate(object state) {
                callback(true, userState);
            }, null);
        }

        #endregion
    }
}
