﻿// TwitterDataModel.cs
//

using System;
using System.ComponentModel.DataAnnotations;

namespace TwitterBug {

    public class Tweet {

        [Key]
        public string ID {
            get;
            set;
        }

        public DateTime Date {
            get;
            set;
        }

        public string Text {
            get;
            set;
        }

        public string ScreenName {
            get;
            set;
        }

        public string ImageUrl {
            get;
            set;
        }

        public TweetKind Kind {
            get;
            set;
        }
    }

    public class TwitterStatus {

        [Key]
        [Editable(false)]
        public string ID {
            get;
            set;
        }

        [StringLength(140)]
        [Required]
        public string Text {
            get;
            set;
        }
    }

    public class TwitterProfile {

        [Key]
        public string ID {
            get;
            set;
        }

        public string ImageUrl {
            get;
            set;
        }

        public int Friends {
            get;
            set;
        }

        public int Followers {
            get;
            set;
        }

        public int Updates {
            get;
            set;
        }

        public string Name {
            get;
            set;
        }

        public string ScreenName {
            get;
            set;
        }

        public string Status {
            get;
            set;
        }
    }
}
