﻿// ImmediateCommit.cs
//

using System;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Interactivity;

namespace TwitterBug {
    
    public class ImmediateCommit : Behavior<TextBox> {

        protected override void OnAttached() {
            base.OnAttached();

            AssociatedObject.TextChanged += OnTextChanged;
        }

        void OnTextChanged(object sender, TextChangedEventArgs e) {
            BindingExpression be = AssociatedObject.GetBindingExpression(TextBox.TextProperty);
            if (be != null) {
                be.UpdateSource();
            }
        }

        protected override void OnDetaching() {
            AssociatedObject.TextChanged -= OnTextChanged;
            base.OnDetaching();
        }
    }
}
