﻿// PlaySoundAction.cs
//

using System;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Interactivity;
using System.Windows;
using System.Windows.Media;
using System.Windows.Controls.Primitives;

namespace TwitterBug {

    public class PlaySoundAction : TriggerAction<DependencyObject> {

        public Uri Source {
            get;
            set;
        }

        public double Volume {
            get;
            set;
        }

        protected override void Invoke(object parameter) {
            if (Source != null) {
                Popup popup = new Popup();

                MediaElement mediaElement = new MediaElement();
                mediaElement.Visibility = Visibility.Collapsed;
                mediaElement.Source = Source;
                mediaElement.Volume = Volume;

                mediaElement.MediaEnded += delegate {
                    popup.Child = null;
                    popup.IsOpen = false;
                };
                mediaElement.MediaFailed += delegate {
                    popup.Child = null;
                    popup.IsOpen = false;
                };

                popup.Child = mediaElement;
                popup.IsOpen = true;
            }
        }
    }
}
