﻿// TweetLengthColorConverter.cs
//

using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;
using System.Windows.Media;

namespace TwitterBug {

    public sealed class TweetLengthColorConverter : IValueConverter {

        #region Implementation of IValueConverter
        object IValueConverter.Convert(object value, Type targetType, object parameter, CultureInfo culture) {
            int length = (int)value;

            if (length < 0) {
                return new SolidColorBrush(Colors.Red);
            }
            if (length < 20) {
                return new SolidColorBrush(Color.FromArgb(255, 128, 0, 0));
            }
            return new SolidColorBrush(Colors.LightGray);
        }

        object IValueConverter.ConvertBack(object value, Type targetType, object parameter, CultureInfo culture) {
            throw new NotSupportedException();
        }
        #endregion
    }
}
