﻿// ViewModelRegistry.cs
//

using System;
using PatternsFramework;

namespace TwitterBug.Models {

    public class ViewModelRegistry {

        private IocContainer _container;

        private IocContainer Container {
            get {
                if (_container == null) {
                    _container = new IocContainer();
                    _container.InitializeContainer();
                }
                return _container;
            }
        }

        public ProfileBoxViewModel Profile {
            get {
                return Container.GetObject<ProfileBoxViewModel>();
            }
        }

        public TweetBoxViewModel TweetBox {
            get {
                return Container.GetObject<TweetBoxViewModel>();
            }
        }

        public TweetListViewModel TweetList {
            get {
                return Container.GetObject<TweetListViewModel>();
            }
        }
    }
}
